Skip to main content
GET
/
v2
/
salesOrders
/
{salesOrderId}
/
customfields
Query Sales Order Custom Field Values
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/salesOrders/{salesOrderId}/customfields \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
[
  {
    "customFieldId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "value": {}
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

salesOrderId
string<uuid>
required

The id of the sales order that the custom field belongs to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

The requested custom fields values for a sales order.

customFieldId
string<uuid>

Unique ID to identifify a custom field.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

value
object

The custom field value. The object should match the custom field type.